<?xml version="1.0" encoding="UTF-8"?>
<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ @package		Learning
  ~ @author		Zahirul Hasan<info@zbabu.com>
  ~ @copyright	Copyright (c) 2011 - 2019 @ Zahirul Hasan (http://zbabu.com) All rights reserved.
  ~ @license		http://zbabu.com/license-agreement
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->

<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
    <xs:element name="config" type="ConfigType" />
    <xs:complexType name="ConfigType">
        <xs:sequence>
            <xs:element name="type" type="TypeType" minOccurs="0" maxOccurs="unbounded" >
                <xs:unique name="uniqueNameParam">
                    <xs:annotation>
                        <xs:documentation>
                            Param name should be unique in scope of type
                        </xs:documentation>
                    </xs:annotation>
                    <xs:selector xpath="argument/name" />
                    <xs:field xpath="."/>
                </xs:unique>
            </xs:element>
        </xs:sequence>
    </xs:complexType>
    <xs:complexType name="TypeType">
        <xs:sequence>
            <xs:element name="className" type="xs:string" />
            <xs:element name="argument" type="ArgumentType" maxOccurs="unbounded" >

            </xs:element>
        </xs:sequence>
    </xs:complexType>
    <xs:complexType name="ArgumentType">
        <xs:sequence>
            <xs:element name="name" type="xs:string"/>
            <xs:element name="value" type="xs:string" />
        </xs:sequence>
    </xs:complexType>
</xs:schema>
